diff --git a/pki/base/common/src/com/netscape/cmscore/base/SimpleProperties.java b/pki/base/common/src/com/netscape/cmscore/base/SimpleProperties.java
index 98970df01de9d7bb20031449647cf1e1cee62e9a..1bd5bb35e039093d49aa90cbf329e3069ad67324 100644
--- a/pki/base/common/src/com/netscape/cmscore/base/SimpleProperties.java
+++ b/pki/base/common/src/com/netscape/cmscore/base/SimpleProperties.java
@@ -264,132 +264,6 @@ public class SimpleProperties extends Hashtable {
         return (slashCount % 2 == 1);
     }
 
-    /*
-     * Converts encoded \\uxxxx to unicode chars
-     * and changes special saved chars to their original forms
-     */
-    private String loadConvert(String theString) {
-        char aChar;
-        int len = theString.length();
-        StringBuffer outBuffer = new StringBuffer(len);
-
-        for (int x = 0; x < len;) {
-            aChar = theString.charAt(x++);
-            if (aChar == '\\') {
-                aChar = theString.charAt(x++);
-                if (aChar == 'u') {
-                    // Read the xxxx
-                    int value = 0;
-
-                    for (int i = 0; i < 4; i++) {
-                        aChar = theString.charAt(x++);
-                        switch (aChar) {
-                        case '0':
-                        case '1':
-                        case '2':
-                        case '3':
-                        case '4':
-                        case '5':
-                        case '6':
-                        case '7':
-                        case '8':
-                        case '9':
-                            value = (value << 4) + aChar - '0';
-                            break;
-
-                        case 'a':
-                        case 'b':
-                        case 'c':
-                        case 'd':
-                        case 'e':
-                        case 'f':
-                            value = (value << 4) + 10 + aChar - 'a';
-                            break;
-
-                        case 'A':
-                        case 'B':
-                        case 'C':
-                        case 'D':
-                        case 'E':
-                        case 'F':
-                            value = (value << 4) + 10 + aChar - 'A';
-                            break;
-
-                        default:
-                            throw new IllegalArgumentException(
-                                    "Malformed \\uxxxx encoding.");
-                        }
-                    }
-                    outBuffer.append((char) value);
-                } else {
-                    if (aChar == 't') aChar = '\t';
-                    else if (aChar == 'r') aChar = '\r';
-                    else if (aChar == 'n') aChar = '\n';
-                    else if (aChar == 'f') aChar = '\f';
-                    outBuffer.append(aChar);
-                }
-            } else
-                outBuffer.append(aChar);
-        }
-        return outBuffer.toString();
-    }
-
-    /*
-     * Converts unicodes to encoded \\uxxxx
-     * and writes out any of the characters in specialSaveChars
-     * with a preceding slash
-     */
-    private String saveConvert(String theString) {
-        char aChar;
-        int len = theString.length();
-        StringBuffer outBuffer = new StringBuffer(len * 2);
-
-        for (int x = 0; x < len;) {
-            aChar = theString.charAt(x++);
-            switch (aChar) {
-            case '\\':
-                outBuffer.append('\\');
-                outBuffer.append('\\');
-                continue;
-
-            case '\t':
-                outBuffer.append('\\');
-                outBuffer.append('t');
-                continue;
-
-            case '\n':
-                outBuffer.append('\\');
-                outBuffer.append('n');
-                continue;
-
-            case '\r':
-                outBuffer.append('\\');
-                outBuffer.append('r');
-                continue;
-
-            case '\f':
-                outBuffer.append('\\');
-                outBuffer.append('f');
-                continue;
-
-            default:
-                if ((aChar < 20) || (aChar > 127)) {
-                    outBuffer.append('\\');
-                    outBuffer.append('u');
-                    outBuffer.append(toHex((aChar >> 12) & 0xF));
-                    outBuffer.append(toHex((aChar >> 8) & 0xF));
-                    outBuffer.append(toHex((aChar >> 4) & 0xF));
-                    outBuffer.append(toHex((aChar >> 0) & 0xF));
-                } else {
-                    if (specialSaveChars.indexOf(aChar) != -1)
-                        outBuffer.append('\\');
-                    outBuffer.append(aChar);
-                }
-            }
-        }
-        return outBuffer.toString();
-    }
-
     /**
      * Calls the <code>store(OutputStream out, String header)</code> method
      * and suppresses IOExceptions that were thrown.
@@ -594,14 +468,6 @@ public class SimpleProperties extends Hashtable {
         }
     }
 
-    /**
-     * Convert a nibble to a hex character
-     * @param	nibble	the nibble to convert.
-     */
-    private static char toHex(int nibble) {
-        return hexDigit[(nibble & 0xF)];
-    }
-
     /** A table of hex digits */
     private static final char[] hexDigit = {
             '0', '1', '2', '3', '4', '5', '6', '7', '8', '9', 'A', 'B', 'C', 'D', 'E', 'F'
diff --git a/pki/base/common/src/com/netscape/cmscore/dbs/PublicKeyMapper.java b/pki/base/common/src/com/netscape/cmscore/dbs/PublicKeyMapper.java
index f55248eec017c2d6fa67516f4ae83e84a2eb28f8..8a2d1f2d2bdebd91df3fc48b70f51ef2144a5dc4 100644
--- a/pki/base/common/src/com/netscape/cmscore/dbs/PublicKeyMapper.java
+++ b/pki/base/common/src/com/netscape/cmscore/dbs/PublicKeyMapper.java
@@ -124,22 +124,6 @@ public class PublicKeyMapper implements IDBAttrMapper {
         return mLdapName + op + value;
     }
 
-    private String normalize(String s) {
-        String val = "";
-
-        for (int i = 0; i < s.length(); i++) {
-            if (s.charAt(i) == '\n') {
-                continue;
-            } else if (s.charAt(i) == '\r') {
-                continue;
-            } else if (s.charAt(i) == '"') {
-                continue;
-            }
-            val += s.charAt(i);
-        }
-        return val;
-    }
-
     public static String escapeBinaryData(byte data[]) {
         String result = "";
 
diff --git a/pki/base/common/src/com/netscape/cmscore/extensions/KeyUsage.java b/pki/base/common/src/com/netscape/cmscore/extensions/KeyUsage.java
index a5378ced39ae569c00ff0fe7b76e129afbb9c092..9b8e16cf6e2d5cf6a42f9189943bd7d8e0c66bf9 100644
--- a/pki/base/common/src/com/netscape/cmscore/extensions/KeyUsage.java
+++ b/pki/base/common/src/com/netscape/cmscore/extensions/KeyUsage.java
@@ -231,9 +231,5 @@ public class KeyUsage implements ICMSExtension {
         return params;
     }
 
-    private void log(int level, String msg) {
-        mLogger.log(ILogger.EV_SYSTEM, ILogger.S_OTHER, level, msg);
-    }
-
 }
 
diff --git a/pki/base/common/src/com/netscape/cmscore/policy/GenericPolicyProcessor.java b/pki/base/common/src/com/netscape/cmscore/policy/GenericPolicyProcessor.java
index 95d668283e4b452af90a6867c29ef94c8a26605c..cdfb7025c70fe20c78222bab4939a3f556948152 100644
--- a/pki/base/common/src/com/netscape/cmscore/policy/GenericPolicyProcessor.java
+++ b/pki/base/common/src/com/netscape/cmscore/policy/GenericPolicyProcessor.java
@@ -458,19 +458,6 @@ public class GenericPolicyProcessor implements IPolicyProcessor {
         return mAuthority.getId() + ".Policy";
     }
 
-    private void setError(IRequest req, String format, String arg) {
-        if (format == null)
-            return;
-        EPolicyException ex = new EPolicyException(format, arg);
-
-        Vector ev = req.getExtDataInStringVector(IRequest.ERRORS);
-        if (ev == null) {
-            ev = new Vector();
-        }
-        ev.addElement(ex.toString());
-        req.setExtData(IRequest.ERRORS, ev);
-    }
-
     public Enumeration getPolicyImpls() {
         Vector impls = new Vector();
         Enumeration enum1 = mImplTable.elements();
diff --git a/pki/base/common/src/com/netscape/cmscore/util/OsSubsystem.java b/pki/base/common/src/com/netscape/cmscore/util/OsSubsystem.java
index 47bb62801715a9dc6a52ce5a0ece113dc5a69552..05118b9ea6b223ef01838af74c1c290636505c88 100644
--- a/pki/base/common/src/com/netscape/cmscore/util/OsSubsystem.java
+++ b/pki/base/common/src/com/netscape/cmscore/util/OsSubsystem.java
@@ -32,7 +32,6 @@ import com.netscape.certsrv.logging.ILogger;
 import com.netscape.cmscore.base.SubsystemRegistry;
 import com.netscape.osutil.LibC;
 import com.netscape.osutil.OSUtil;
-import com.netscape.osutil.ResourceLimit;
 import com.netscape.osutil.Signal;
 import com.netscape.osutil.SignalListener;
 import com.netscape.osutil.UserID;
@@ -174,42 +173,6 @@ public final class OsSubsystem implements ISubsystem {
     }
 
     /**
-     * Hooks up unix signals.
-     */
-    private void initUnix() throws EBaseException {
-        // Set up signal handling.  We pretty much exit on anything
-        // Signal.watch(Signal.SIGHUP); 
-        // Signal.watch(Signal.SIGTERM);
-        // Signal.watch(Signal.SIGINT);
-        // mSignalThread = new SignalThread();
-        // mSignalThread.setDaemon(true);
-        // mSignalThread.start();
-
-        Signal.addSignalListener(Signal.SIGHUP, new SIGHUPListener(this)); 
-        Signal.addSignalListener(Signal.SIGTERM, new SIGTERMListener(this)); 
-        Signal.addSignalListener(Signal.SIGINT, new SIGINTListener(this)); 
-
-        /* Increase the maximum number of file descriptors */
-        int i = mConfig.getInteger("maxFiles", 
-                ResourceLimit.getHardLimit(ResourceLimit.RLIMIT_NOFILE));
-
-        ResourceLimit.setLimits(ResourceLimit.RLIMIT_NOFILE,
-            i, ResourceLimit.getHardLimit(ResourceLimit.RLIMIT_NOFILE));
-
-        // write current pid to specified file
-        String pf = mConfig.getString("pidFile", null);
-
-        if (pf == null) {
-            return; // development environment does not rely on this
-        }
-        File pidFile = new File(pf);
-
-        if (pidFile.exists()) {
-            throw new EBaseException(CMS.getUserMessage("CMS_BASE_PID_EXIST"));
-        }
-    }
-
-    /**
      * Used to change the process user id usually called after the appropriate 
      * network ports have been opened.
      */
@@ -344,24 +307,6 @@ public final class OsSubsystem implements ISubsystem {
     }
 
     /**
-     * Unix restart
-     * <P>
-     */
-    private void restartUnix() {
-        // Tell watch dog to restart us
-        int ppid = LibC.getppid();
-
-        Signal.send(ppid, Signal.SIGHUP);
-    }
-
-    /**
-     * NT restart
-     * <P>
-     */
-    private void restartNT() {
-    }
-
-    /**
      * Returns the root configuration storage of this system.
      * <P>
      *
diff --git a/pki/base/java-tools/src/com/netscape/cmstools/PasswordCache.java b/pki/base/java-tools/src/com/netscape/cmstools/PasswordCache.java
index f914fab74db084d627c2c4ebacccd8d16a9c558e..cd0351ae48275ed22597a634014dfa8b143fc830 100644
--- a/pki/base/java-tools/src/com/netscape/cmstools/PasswordCache.java
+++ b/pki/base/java-tools/src/com/netscape/cmstools/PasswordCache.java
@@ -335,24 +335,6 @@ public class PasswordCache {
             System.exit(1);
         }
     }
-
-    private static boolean badPassword(String pwd) {
-       // XXX - implement only password checking
-       return false;
-/*
-        PasswordChecker pwdChecker = new PasswordChecker();
-
-        if (!pwdChecker.isGoodPassword(pwd)) {
-            String reason = pwdChecker.getReason(pwd);
-
-            System.out.println("New password does not pass password " +
-                "quality test: " + reason);
-            return true;
-        } else {
-            return false;
-        }
-*/
-    }
 }
 
 
diff --git a/pki/base/kra/src/com/netscape/kra/EnrollmentService.java b/pki/base/kra/src/com/netscape/kra/EnrollmentService.java
index 397793bfcdefbc4c303c074ecc20b705580cdf2f..6415e190351dfba082e3ca5ac58777f5b1b55084 100644
--- a/pki/base/kra/src/com/netscape/kra/EnrollmentService.java
+++ b/pki/base/kra/src/com/netscape/kra/EnrollmentService.java
@@ -855,43 +855,6 @@ public class EnrollmentService implements IService {
     }
 
     /**
-     * Signed Audit Log Recovery ID
-     *
-     * This method is called to obtain the "RecoveryID" for
-     * a signed audit log message.
-     * <P>
-     *
-     * @return id string containing the signed audit log message RecoveryID
-     */
-    private String auditRecoveryID() {
-        // if no signed audit object exists, bail
-        if (mSignedAuditLogger == null) {
-            return null;
-        }
-
-        String recoveryID = null;
-
-        // Initialize recoveryID
-        SessionContext auditContext = SessionContext.getExistingContext();
-
-        if (auditContext != null) {
-            recoveryID = (String)
-                    auditContext.get(SessionContext.RECOVERY_ID);
-
-            if (recoveryID != null) {
-                recoveryID = recoveryID.trim();
-            } else {
-                recoveryID = ILogger.UNIDENTIFIED;
-            }
-        } else {
-            recoveryID = ILogger.UNIDENTIFIED;
-        }
-
-        return recoveryID;
-    }
-
-    
-    /**
      * Signed Audit Log
      *
      * This method is called to store messages to the signed audit log.
diff --git a/pki/base/silent/src/argparser/StringScanner.java b/pki/base/silent/src/argparser/StringScanner.java
index 425ad3ac12c8f6a574c2c69bfb439f9de0c288d4..606dbd67018e455d933679ba196bcc162e02008d 100644
--- a/pki/base/silent/src/argparser/StringScanner.java
+++ b/pki/base/silent/src/argparser/StringScanner.java
@@ -576,14 +576,6 @@ class StringScanner
 	    }
 	 }
 
-	private int skipWhiteSpace(int k)
-	 {
-	   while (Character.isWhitespace(buf[k]))
-	    { k++;
-	    }
-	   return k;
-	 }
-
 	public boolean atEnd()
 	 {
 	   return idx == len;
diff --git a/pki/base/silent/src/ca/UserEnroll.java b/pki/base/silent/src/ca/UserEnroll.java
index fee2532e87e54389a6c827cdb0976e227a315a29..82c374ae759c16f9574633a32a372b4a7364ace7 100644
--- a/pki/base/silent/src/ca/UserEnroll.java
+++ b/pki/base/silent/src/ca/UserEnroll.java
@@ -152,10 +152,6 @@ public class UserEnroll extends TestClient {
         certType = ct;
     }
 
-    private long getElapsedTime() {
-        return elapsedTime;
-    }
-
     public boolean enroll_load() {
         buildquery();
         setStatusString("");
diff --git a/pki/base/silent/src/ca/checkRequest.java b/pki/base/silent/src/ca/checkRequest.java
index 41cd2d70cc7acc0a4e7829fe192ec15dbd05168d..70c788c8e37378aaf1e85a260937262dd79e31d6 100644
--- a/pki/base/silent/src/ca/checkRequest.java
+++ b/pki/base/silent/src/ca/checkRequest.java
@@ -150,10 +150,6 @@ public class checkRequest extends TestClient {
         return reqStatus;
     }
 
-    private long getElapsedTime() {
-        return elapsedTime;
-    }
-
     /**
      * returns the  hex serial number of the certificate 
      **/
@@ -236,17 +232,7 @@ public class checkRequest extends TestClient {
         return false;
     }
 
-    private boolean checkRequest_load() {
-
-        type = 1;
-        buildquery();
-        if (debug) {
-            System.out.println(query);
-        }
-        setStatusString("Congratulations, your certificate has been issued");
-        return(Send());
-
-    }
+    
 
     // Private functions 
 
diff --git a/pki/base/silent/src/common/AutoInstaller.java b/pki/base/silent/src/common/AutoInstaller.java
index c343a6918611411ad8cdc71526129c8878bd4b4a..0ca86b4bee8ffa7727127f801c4beb5b4b9eafe9 100644
--- a/pki/base/silent/src/common/AutoInstaller.java
+++ b/pki/base/silent/src/common/AutoInstaller.java
@@ -746,60 +746,6 @@ public class AutoInstaller {
 
     }
 
-    private boolean taskCloneMaster() {
-        System.out.println("configuring Cert Instance : taskCloneMaster");
-        setConfigURL();
-        String myStringUrl = "http://" + host + ":" + adminPort + configURL;
-
-        System.out.println(myStringUrl);
-        String query = "serverRoot=" + URLEncoder.encode(serverRoot);
-
-        query += "&";
-        query += "&claPortnumEE=" + URLEncoder.encode(caEEPort);
-        query += "&claPortnum=" + URLEncoder.encode(caAgentPortnum);
-        query += "&claHostname=" + URLEncoder.encode(caHostname);
-        query += "&ra=false";
-        query += "&ca=true";
-        query += "&kra=false";
-        query += "&subsystems=ca";
-        query += "&cloning=true";
-        query += "&cloningInstance=" + URLEncoder.encode(cloneInstanceId); 
-        query += "&claTimeout=" + URLEncoder.encode("60");
-        query += "&internaldb.ldapauth.bindDN="
-                + URLEncoder.encode(dbLDAPauthDN);
-        query += "&AdminUserPassword=" + URLEncoder.encode(adminPWD);
-        query += "&db.password=" + URLEncoder.encode(dbPassword);
-        query += "&instanceID=" + URLEncoder.encode(instanceID);
-        query += "&opType=" + URLEncoder.encode("OP_MODIFY");
-        query += "&taskID=" + URLEncoder.encode("taskCloneMaster");
-        query += "&cmsSeed=0";
-        setPostQueryString(query);
-        return Connect(myStringUrl);
-    }
-
-    private boolean taskCloning() {
-        System.out.println("configuring Cert Instance : taskCloning");
-        setConfigURL();
-        String myStringUrl = "http://" + host + ":" + adminPort + configURL;
-
-        System.out.println(myStringUrl);
-        String query = "serverRoot=" + URLEncoder.encode(serverRoot);
-
-        query += "&";
-        query += "&cloneTokenPasswd=" + URLEncoder.encode(dbPassword);
-        query += "&cloneTokenName=" + URLEncoder.encode("internal");
-        query += "&cloningInstance=" + URLEncoder.encode(cloneInstanceId);
-        query += "&cloneSameMachine=true";
-        query += "&AdminUserPassword=" + URLEncoder.encode(adminPWD);
-        query += "&certType=" + URLEncoder.encode(certType);
-        query += "&instanceID=" + URLEncoder.encode(instanceID);
-        query += "&opType=" + URLEncoder.encode("OP_MODIFY");
-        query += "&taskID=" + URLEncoder.encode("taskCloning");
-        query += "&cmsSeed=0";
-        setPostQueryString(query);
-        return Connect(myStringUrl);
-    }
-
     private boolean setSerial(String start, String end) {
         System.out.println("configuring Cert Instance : setCASerial");
         setConfigURL();
@@ -870,25 +816,6 @@ public class AutoInstaller {
 
     }
 
-    private boolean serverMigration() {
-        System.out.println("configuring Cert Instance : Server migration");
-        setConfigURL();
-        String myStringUrl = "http://" + host + ":" + adminPort + configURL;
-
-        System.out.println(myStringUrl);
-        String query = "AdminUserPassword=" + URLEncoder.encode(adminPWD);
-
-        query += "&";
-        query += "instanceID=" + URLEncoder.encode(instanceID);
-        query += "&migrationEnable=" + URLEncoder.encode("false");
-        query += "&opType=" + URLEncoder.encode("OP_MODIFY");
-        query += "&taskID=" + URLEncoder.encode("migration");
-        query += "&cmsSeed=0";
-        setPostQueryString(query);
-        return Connect(myStringUrl);
-
-    }
-
     private boolean initializePWD() {
         System.out.println("configuring Cert Instance : Initialize token");
         setConfigURL();
@@ -1568,32 +1495,6 @@ public class AutoInstaller {
         return Connect(myStringUrl);
     }
 
-    private boolean setupKRAAgents() {
-        System.out.println("configuring Cert Instance :  KRA Agents");
-        setConfigURL();
-        String myStringUrl = "http://" + host + ":" + adminPort + configURL;
-
-        System.out.println(myStringUrl);
-        String query = "AdminUserPassword=" + URLEncoder.encode(adminPWD);
-
-        query += "&";
-        query += "instanceID=" + URLEncoder.encode(instanceID);
-        query += "&serverRoot=" + URLEncoder.encode(serverRoot);
-        query += "&opType=" + URLEncoder.encode("OP_MODIFY");
-        query += "&taskID=" + URLEncoder.encode("agents");
-        query += "&n=" + URLEncoder.encode("3");
-        query += "&m=" + URLEncoder.encode("2");
-        query += "&uid2=" + URLEncoder.encode("agent3");
-        query += "&uid0=" + URLEncoder.encode("agent1");
-        query += "&uid1=" + URLEncoder.encode("agent2");
-        query += "&pwd1=" + URLEncoder.encode("netscape");
-        query += "&pwd2=" + URLEncoder.encode("netscape");
-        query += "&pwd0=" + URLEncoder.encode("netscape");
-        query += "&cmsSeed=0";
-        setPostQueryString(query);
-        return Connect(myStringUrl);
-    }
-
     private boolean ConfRA() {
         // Start Configuring 
 
@@ -2228,116 +2129,6 @@ public class AutoInstaller {
 
     // Configure Clone 
 
-    private boolean ConfClone() {
-        // Start Configuring
-
-        // Step 1. Start Deamon
-
-        if (!startDeamon()) {
-            System.out.println(
-                    "Configuring Cert Instance: Unable to start deamon");
-            return false;
-        }
-
-        // Sometimes it takes time to start deamon so wait for few seconds
-        try {
-            System.out.println("going to sleep for 10 seconds");
-            Thread.sleep(10000);
-        } catch (InterruptedException ie) {
-            System.out.println("sleep exection");
-        }
-
-        // Step 1a: Initialize Token ( Changed in 6.0)jjj
-        if (!initializePWD()) {
-            System.out.println(
-                    "Configuring Cert Instance: error initializing pwd token");
-            return false;
-        }
-
-        // Step 2. Configure Internal DB
-        if (!configInternalDB()) {
-            System.out.println(
-                    "Configuring Cert Instance: error configuring internal db");
-            return false;
-        }
-
-        // Step 3. Create Admin Values
-        if (!createAdminValues()) {
-            System.out.println(
-                    "Configuring Cert Instance: error configuring admin values ");
-            return false;
-        }
-
-        // Step 4. SubSystems
-
-        if (!selectSubSystem()) {
-            System.out.println(
-                    "Configuring Cert Instance: error selecting subsystems");
-            return false;
-        }
-
-        // Step 5. SetCASerial
-        if (!setSerial("1000000", "2000000")) {
-            System.out.println("Configuring Cert Instance: error setSerial");
-            return false;
-        }
-
-        if (!setOCSP()) {
-            System.out.println("Configuring Cert Instance: error setOCSP");
-            return false;
-        }
-
-        // Step 5. Network Configuration
-        if (!networkConfig()) {
-            System.out.println(
-                    "Configuring Cert Instance: error configuring network ports ");
-            return false;
-        }
-
-        if (!taskCloning()) {
-            System.out.println("Configuring Cert Instance: error Task Cloning ");
-            return false;
-        }
-
-        if (!taskCloneMaster()) {
-            System.out.println(
-                    "Configuring Cert Instance: error configuring network ports ");
-            return false;
-        }
-
-        // Create a SSL signing cert
-        certType = "serverCert";
-
-        if (!taskCloning()) {
-            System.out.println("Configuring Cert Instance: error Task Cloning ");
-            return false;
-        }
-
-        // Step 11 
-        if (!singleSignON()) {
-            System.out.println(
-                    "Configuring Cert Instance: error setting up singlesignon");
-            return false;
-        }
-
-        // Step 11 
-        if (!doMisc()) {
-            System.out.println(
-                    "Configuring Cert Instance: error setting up miscell");
-            return false;
-        }
-
-        // Step 12 
-        if (!exitDeamon()) {
-            System.out.println(
-                    "Configuring Cert Instance: Unable to exit deamon");
-            return false;
-        }
-
-        return true;
-
-    }
-
     public boolean readProperties() {
         // Read the properties file and assign values to variables .
         try {
diff --git a/pki/base/silent/src/common/CMSConfig.java b/pki/base/silent/src/common/CMSConfig.java
index 4d29cb8b0f6781dca0c50dda725423c8371c9662..57f8443a614fee67f7e4c9b50d78c86cb83da7ea 100644
--- a/pki/base/silent/src/common/CMSConfig.java
+++ b/pki/base/silent/src/common/CMSConfig.java
@@ -39,20 +39,6 @@ public class CMSConfig extends ServerInfo {
         readCMSConfig();
     }
 
-    private void getProperties(String filePath) throws Exception {
-        try {
-            FileInputStream fis = new FileInputStream(filePath);
-
-            props = new CMSProperties();
-            props.load(fis);
-            System.out.println("Reading Properties file successful");
-            fis.close();
-        } catch (Exception e) {
-            System.out.println("exception " + e.getMessage());
-        }
-
-    }
-
     private void readCMSConfig() {
 
         try {
@@ -516,51 +502,6 @@ public class CMSConfig extends ServerInfo {
         CMSprops.setProperty("cardcryptogram.validate.enable", "false");
     }
 
-    private void ARLOn() {
-        CMSprops.setProperty(
-                "ca.crl.MasterCRL.extension.IssuingDistributionPoint.critical",
-                "true");
-        CMSprops.setProperty(
-                "ca.crl.MasterCRL.extension.IssuingDistributionPoint.enable",
-                "true");
-        CMSprops.setProperty(
-                "ca.crl.MasterCRL.extension.IssuingDistributionPoint.indirectCRL",
-                "false");
-        CMSprops.setProperty(
-                "ca.crl.MasterCRL.extension.IssuingDistributionPoint.onlyContainsCACerts",
-                "true");
-        CMSprops.setProperty(
-                "ca.crl.MasterCRL.extension.IssuingDistributionPoint.onlyContainsUserCerts",
-                "false");
-        CMSprops.setProperty(
-                "ca.crl.MasterCRL.extension.IssuingDistributionPoint.onlySomeReasons",
-                null);
-        CMSprops.setProperty(
-                "ca.crl.MasterCRL.extension.IssuingDistributionPoint.pointName",
-                null);
-        CMSprops.setProperty(
-                "ca.crl.MasterCRL.extension.IssuingDistributionPoint.pointType",
-                "DirectoryName");
-        CMSprops.setProperty(
-                "ca.crl.MasterCRL.extension.IssuingDistributionPoint.type",
-                "CRLExtension");
-        CMSprops.setProperty("ca.crl.MasterCRL.allowExtensions", "true");
-        CMSprops.setProperty("ca.crl.MasterCRL.alwaysUpdate", "true");
-        CMSprops.setProperty("ca.crl.MasterCRL.autoUpdateInterval", "5");
-        CMSprops.setProperty("ca.crl.MasterCRL.caCertsOnly", "true");
-        CMSprops.setProperty("ca.crl.MasterCRL.cacheUpdateInterval", "5");
-        CMSprops.setProperty("ca.crl.MasterCRL.class",
-                "com.netscape.cmscore.ca.CRLIssuingPoint");
-
-        CMSprops.setProperty("ca.crl.MasterCRL.description",
-                "CA's complete Certificate Revocation List");
-        CMSprops.setProperty("ca.crl.MasterCRL.enableCRLCache", "true");
-        CMSprops.setProperty("ca.crl.MasterCRL.includeExpiredCerts", "true");
-        CMSprops.setProperty("ca.crl.MasterCRL.nextUpdateSkew", "5");
-        CMSprops.setProperty("ca.crl.MasterCRL.signingAlgorithm", "SHA1withRSA");
-
-    }
-
     // Policies 
     public void DefaultValidityRule(String SubsystemType, String lagtime, String leadtime, String maxValidity) {
         if (SubsystemType.equals("ca")) {
diff --git a/pki/base/silent/src/common/CMSLDAP.java b/pki/base/silent/src/common/CMSLDAP.java
index b7f678064c1936fe6c47f3a8fb4ebbe55933e380..bc4ab1bb1cb3fa891409d56377f1a1e051ba76cc 100644
--- a/pki/base/silent/src/common/CMSLDAP.java
+++ b/pki/base/silent/src/common/CMSLDAP.java
@@ -97,17 +97,6 @@ public class CMSLDAP {
 
     }
 
-    private boolean RemoveInstance(String basedn) {
-        try {
-            conn.delete(basedn);
-            return true;
-        } catch (Exception e) {
-            System.out.println("ERROR: " + e.toString());
-            return false;
-        }
-
-    }
-
     /**
      * Search for certificaterevocationList attribute. Takes basedn and filter as parameters
      */ 
diff --git a/pki/base/silent/src/common/ServerInfo.java b/pki/base/silent/src/common/ServerInfo.java
index e9d96cd4c49b861965b2ddeb279b6cd4f8d7b097..481cf1eff63d274f756131a2a418f7ffbe978956 100644
--- a/pki/base/silent/src/common/ServerInfo.java
+++ b/pki/base/silent/src/common/ServerInfo.java
@@ -251,20 +251,6 @@ public class ServerInfo {
         }
     } 
 
-    private void getProperties(String filePath) throws Exception {
-        try {
-            FileInputStream fis = new FileInputStream(filePath);
-
-            props = new CMSProperties();
-            props.load(fis);
-            System.out.println("Reading Properties file successful");
-            fis.close();
-        } catch (Exception e) {
-            System.out.println("exception " + e.getMessage());
-        }
-
-    }
-
     private String stripSpace(String s) {
 
         String val = "";
diff --git a/pki/base/silent/src/common/TestClient.java b/pki/base/silent/src/common/TestClient.java
index 266a125d2dbecb4ab74f503a1d3f108b1c9a6622..4911f297c4d3f70be3d378a9ea06f0718201f7c7 100644
--- a/pki/base/silent/src/common/TestClient.java
+++ b/pki/base/silent/src/common/TestClient.java
@@ -18,10 +18,8 @@
 
 import java.io.BufferedReader;
 import java.io.FileInputStream;
-import java.io.IOException;
 import java.io.InputStreamReader;
 import java.net.ServerSocket;
-import java.net.Socket;
 import java.util.Properties;
 
 import org.mozilla.jss.crypto.X509Certificate;
@@ -466,20 +464,6 @@ public class TestClient implements SSLCertificateApprovalCallback {
         return s;
     }
 
-    private static boolean isSocketUnused(String h, int p) {
-
-        try {
-
-            Socket ss = new Socket(h, p);
-
-            ss.close();
-            return false;
-
-        } catch (IOException e) {
-            return true;
-        }
-    }
-
     /**
      * returns FreePort in this machine . Takes a parmater portnumber. For example getFreePort("4026"). 
      */
diff --git a/pki/base/util/src/com/netscape/cmsutil/ocsp/CertID.java b/pki/base/util/src/com/netscape/cmsutil/ocsp/CertID.java
index 29fbc4e873afd1012f389b618e03eb66663c1ddb..3c563d9396f8fd687da1526b317eb4dd23fe9592 100644
--- a/pki/base/util/src/com/netscape/cmsutil/ocsp/CertID.java
+++ b/pki/base/util/src/com/netscape/cmsutil/ocsp/CertID.java
@@ -78,7 +78,6 @@ public class CertID implements ASN1Value
 	///////////////////////////////////////////////////////////////////////
 	// Constructors
 	///////////////////////////////////////////////////////////////////////
-	private CertID() { }
 
 	public CertID(AlgorithmIdentifier hashAlgorithm,
 		OCTET_STRING issuerNameHash, OCTET_STRING issuerKeyHash,
